#include <iostream>
#include <cmath>
using namespace std;

int main() {
	
	int n,k,f;
	int zbir1=0,zbir2=0;
	double r[100000]; //redovi
	double c[100000]; //kolone
	
	cin>>n; //dimenzija
	for(int i=0;i<n;i++){
	cin>>r[i]>>c[i];
}
	 
	int a[100000],b[100000];
	int brojac=1; 
	
	for(int i=0;i<n;i++){
	a[i]=brojac;
	brojac++; 
}
	int l=0;
	for(int i=0;i<n;i++)
	{		
		for(int j=i+1;j<n;j++)
		{
			if(r[i]>r[j])
			{
				l=r[i];
				r[i]=r[j];
				r[j]=l;
			}
		}
	}
	for(int i=0;i<n;i++)
	{		
		for(int j=i+1;j<n;j++)
		{
			if(c[i]>c[j])
			{
				l=c[i];
				c[i]=c[j];
				c[j]=l;
			}
		}
	}
	for(int i=0;i<n;i++){
		zbir1+=abs(a[i]-r[i]);
	}
	for(int i=0;i<n;i++){
		zbir2+=abs(a[i]-c[i]);
	}
	f=zbir1+zbir2;
	
	cout<<f;
	return 0;
}